Method: networks.slates.batchCreate

Batch creates Slate objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/slates:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where Slates will be created. Format: networks/{networkCode} The parent field in the CreateSlateRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateSlateRequest)
    }
  ]
}
Fields
requests[]

object (CreateSlateRequest)

Required. The Slate objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for slates.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "slates": [
    {
      object (Slate)
    }
  ]
}
Fields
slates[]

object (Slate)

The Slate objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateSlateRequest

Request object for slates.create method.

JSON representation
{
  "parent": string,
  "slate": {
    object (Slate)
  }
}
Fields
parent

string

Required. The parent resource where this Slate will be created. Format: networks/{networkCode}

slate

object (Slate)

Required. The Slate to create.